### Function

# Ggit StatusCallback

#### Declaration

    gint
    (* GgitStatusCallback) (
      const gchar* path,
      GgitStatusFlags status_flags,
      gpointer user_data
    )

#### Description [src]

The type of the callback functions for retrieving the status of the files in a `GgitRepository`. See ggit_repository_file_status_foreach().

#### Parameters

`path`

  Type: `const gchar*`

  The file to retrieve status for, rooted at the repository working dir.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`status_flags`

  Type: `GgitStatusFlags`

  The status value.

`user_data`

  Type: `gpointer`

  User-supplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 to go for the next file or a `GgitError` in case there was an error.